ata_wait_after_reset
Prev | Chapter 4. libata Library | Next

## Name

ata_wait_after_reset — wait before checking status after reset

## Synopsis

`void ata_wait_after_reset (` | struct ata_port * | ap,
| unsigned long | deadline`)`;

## Arguments

`ap`

  port containing status register to be polled

`deadline`

  deadline jiffies for the operation

## Description

After reset, we need to pause a while before reading status. Also, certain combination of controller and device report 0xff for some duration (e.g. until SATA PHY is up and running) which is interpreted as empty port in ATA world. This function also waits for such devices to get out of 0xff status.

## LOCKING

Kernel thread context (may sleep).

Prev | Up | Next
ata_busy_sleep | Home | ata_wait_ready